Bug 2232 - Please add Translate Toolkit to the repos
: Please add Translate Toolkit to the repos
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Package Requests
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-19 13:02 MSD by JDronova
Modified: 2013-09-21 17:49 MSD (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description JDronova 2013-06-19 13:02:17 MSD
Tools and API for translation and localization engineering

The Translate Toolkit is created by localizers for localizers. It contains several utilities, as well as an API for building localization tools.

Some of the tools include:

File format converters
Quality checking tools
Tools for counting, grepping, terminology extraction, and pseudo-localization
Apart from the code for the tools above, some features of the API include:

Support for multiple file formats
Language information and language support code (including language detection)
Code for translation memory, terminology matching and indexed search
Several helper classes and functions for tools built on the Translate Toolkit.

Source code: http://sourceforge.net/projects/translate/files/Translate%20Toolkit/1.10.0/


PLEEEEEEASE!
Comment 1 Denis Silakov 2013-06-21 16:16:07 MSD
We already have this package in repositories. It is named "python-translate" for historical reasons.

We have version 1.9, is it worth to update to 1.10?
Comment 2 JDronova 2013-06-21 16:38:26 MSD
(In reply to comment #1)
> We have version 1.9, is it worth to update to 1.10?
Not urgent at all, nothing related to anything Russian language specific, as I can see. Sorry for the trouble by now :)
Comment 3 Denis Silakov 2013-09-21 17:49:55 MSD
Well, the topic of the bug is solved - we do have translate-toolkit. Sooner or later we will update it to newer version. Feel free to open a separate bug if this is urgent:)